This method will scan all application fees and and return them to the caller.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/applicationFees/{tenantId}
- https://certifications.api.rhythmsoftware.comhttps://certifications.api.rhythmsoftware.com/applicationFees/{tenantId}
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/applicationFees/{tenantId}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The application feeswere retrieved successfully.
If true, the customer can choose their installment plan
Whether to track inventory for the entire bundle, or for each product separately
Whether or not cancellation fees are applicable
If set, document entitlements will be created to access folders or documents
If true, purchasing this product will generate coupons
If set, the order engine will call out to a custom lambda function for custom/complex pricing
If set, document entitlements will be created to access folders or documents
If enabled, a custom email goes out whenever this product is ordered
If true, purchase limits are in place for this product
If set, purchases of this merchandise are restricted
Whether or not this product should be available in the portal
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
[ { "allow_customer_to_choose_installment_plan": true, "bulk_pricing_rules": [ … ], "bundled_products": [ … ], "bundled_products_inventory_handling": "bundle", "business_unit_id": "string", "cancellation_fee": 0.1, "commerce_entitlements_to_create": [ … ], "coupon_codes": [ … ], "custom_field_values": [ … ], "custom_pricing_options": { … }, "document_entitlements_to_create": [ … ], "enable_bulk_pricing": true, "enable_bundled_products": true, "enable_cancellation_fees": true, "enable_commerce_entitlement_creation": true, "enable_coupon_code_generation": true, "enable_custom_pricing": true, "enable_document_entitlement_creation": true, "enable_product_confirmation_email": true, "enable_purchase_limits": true, "enable_purchasing_eligibility": true, "enable_special_prices": true, "enable_task_generation": true, "foreign_currency_prices": [ … ], "hide_from_portal": true, "id": "string", "installment_plan_options": [ … ], "is_active": true, "member_price": 0.1, "name": "string", "notes": "string", "portal_options": { … }, "price": 0.1, "product_confirmation_email_options": { … }, "program_id": "string", "publish_to_portal": true, "purchase_limits": { … }, "purchasing_eligibility_criteria": {}, "special_prices": [ … ], "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "tasks_to_generate": [ … ], "type": "certifications-application-fees" } ]